|Release|Author          |Description                                       |  
|-------|----------------|--------------------------------------------------|  
|3.00.XX|Allen Albright  |Refactor (Many Changes)  |  
|3.01.00|Allen Albright  |First Public Release (Day Zero Update)            |
|3.01.01|Allen Albright  |<b>ULA</b> : Interrupt time in 48K and 128K video frame was off by one cycle<br/><b>ULA+</b> : Byte read from port 0xff3b incorrectly indicated ula+ was not present<br/><b>AUDIO</b> : Attempt to double volume on 3.5mm jack and internal speaker<br/><b>AY</b> : Implement differences in how AY and YM respond to register reads<br/><b>PORT DECODE</b> : Bit 31 of nextreg 0x89 and 0x85 determines whether the port decodes are soft or hard reset<br/><b>SCANLINES</b> : Change weights to 0, 12.5, 25, 50<br/><b>COMPATIBILITY</b> : Port decoding style now determined by current video timing rather than static machine type; active ports no longer limited by machine type<br/><b>STICKS</b> : Sinclair 1 and Sinclair 2 joystick types were reversed in the hardware<br/><b>HDMI</b> : Audio stream made signed instead of unsigned<br/><b>NMI</b> : Function key activation now cancels nmi generation so that minimum press time of one second is no longer needed<br/><b>MEMORY</b> : Nextreg 0x8e added to more quickly perform traditional bankswitching normally done through ports 0x1ffd, 0x7ffd, 0xdffd<br/><b>SLU 6 & 7</b> : Blending updated to be more useful<br/>* Nextreg 0x68 bits 6:5 control which of ula or tilemap layer blends with layer 2<br/>* SLU 6 = (U or T)S(T or U)(B+L) colours clamped to [0,7]<br/>* SLU 7 = (U or T)S(T or U)(B+L-5) colours clamped to [0,7]<br/>In both cases U or T only appear independently if they are not involved in blending     |  
|3.01.02|Allen Albright  |<b>DMA</b> : Ports 0x6b and 0x0b (new) both address the dma. When port 0x0b is read or written the dma is placed in z80-dma compatibility mode. When port 0x6b is read or written the dma is placed in its native zxn-dma mode.  Nextreg 0x06 bit 6 which used to select dma mode has been removed.<br/><b>PORT DECODE</b> : Nextreg 0x85 and 0x89 have bit 25 added to enable dma port 0x0b<br/><b>EXPANSION BUS</b> : Nextreg 0x8a bit 4 allows propagation of port 0xff io cycles to the expansion bus.<br/><b>AUDIO</b> : Nextreg 0x06 bit 6 chosen to select a new classic audio mode where beep and tape noises are directed to the internal speaker exclusively and other audio is directed to hdmi and the 3.5mm jack.<br/><b>AUDIO</b> : Another adjustment of the internal speaker volume and a different treatment for the classic audio mode that allows beep noises to be louder.  |
|3.01.03|Allen Albright  |<b>AY</b> : Fix bug where the envelope period counter was not reset when register 13 was written.<br/><b>AUDIO</b> : Another adjustment of internal speaker volume with total volume increased at the expense of increased likelihood of clipping and classic mode audio made a little more quiet.<br/><b>EXPANSION BUS</b> : (trial) Introduce a ROMCS rom replacement feature enabled by bits 6 and 2 in nextreg 0x80. External devices can continue to assert /romcs but the next can replace the 16k external rom with divmmc banks 14 and 15 to allow custom code to be written to support external devices more seemlessly.<br/><b>EXPANSION BUS</b> : Nextreg 0x8a defaults to all port propagation disabled on hard reset. Port 0xfe was propagated by default prior to this change.<br/><b>MEMORY</b> : Nextreg 0x8e no longer changes mmu 6/7 when the ram bank is not changed.  |
|3.01.04|Allen Albright  |<b>DMA</b> : The 16-bit byte count now read in the correct endian order through the read register.<br/><b>MULTIFACE</b> : Fix numerous errors in the implementation of the mf128 and mf48.<br/><b>STICKS</b> : Correct md pad state machine that was reading some input at the wrong time.<br/><b>STICKS</b> : The joystick connectors can now be configured as an i/o device with 1 output and up to 12 inputs. Three modes are supported including bit-bang where the state of the output bit is controlled by the program, clock where the output bit is driven by either a slow or a fast clock, and uart where one of the next's two internal uarts can be redirected to the joystick connector. Details can be found in documentation for port 0x37 and nextreg 0x05.<br/><b>STICKS</b> : Button A on md pads now generates an UP direction for non- md pad joystick modes.<br/><b>COMPATIBILITY</b> : Pentagon 512K support is added that is activated when the video timing is set to Pentagon and when bit 7 of port 0xdffd is set to 1.  In this mode, port 0xdffd is ignored in banking and instead bits 7:6 of port 0x7ffd extend bits 2:0 of the same port to select a 16K bank.<br/><b>KEYBOARD</b> : It is now possible to read the state of the new composite keys directly instead of indirectly through the key membrane. Details under nextreg 0x68, 0xb0, 0xb1.  |
|3.01.05|Allen Albright  |<b>DISPLAY</b> : A vertical line offset has been introduced in nextreg 0x64.  The display continues to use vertical line positions with 0 indicating the first row of the pixel area generated by the ULA.  However the copper, line interrupt (nextreg 0x22,0x23) and active video line (nextreg 0x1e,0x1f) have their Y positions offset by this new register.  When line 0 of the ULA is reached, the Y position of these other units is set to the vertical line offset.  As an example, an offset of 32 would have the copper line position at 32 when the display draws line 0 of the ULA and the copper line position of 0 would correspond to 32 lines earlier where the sprites and tilemap have their Y=0 position.<br/><b>COMPATIBILITY</b> : Bit 7 of port 0xdffd, which selects Pentagon 512k mode, can only be changed when pentagon timing is not active.<br/><b>COMPATIBILITY</b> : All port contention has been disabled for the +3.<br/><b>I2S</b> : I2S master mode has been removed with nextreg 0xa2,0xa3 affected.<br/><b>MOUSE</b> : Mouse dpi and button swap controls have been introduced in nextreg 0x0a.<br/><b>STICKS</b> : Joystick io mode can now be operated the preferred way with io mode selected via port 0x37 before the io mode is enabled on the joysticks via nextreg 0x05.<br/><b>STICKS</b> : Joystick io mode now reads from one joystick only, selected by bit 4 of port 0x37.  This was necessary to allow reliable 2Mbps transfer rate in uart mode.  The program can still change the active joystick via bit 4 of port 0x37 at any time but for uart mode this should be done during a quiet time in communication.  Any output always appears on pin 7 of both joystick connectors.  |
|3.01.06|Allen Albright  |<b>COMPATIBILITY</b> : Pentagon 512, pentagon 1024 and zx profi memory mapping modes added with control through new i/o port 0xeff7 and nextreg 0x8f.  These mapping modes can be enabled or disabled at any time and no longer depend on pentagon video timing being active to take effect.<br/><b>STICKS</b> : Correct MD Pad algorithm so that it doesn't toggle the select pin for a few cycles into the rest period.<br/><b>MULTI-CORE</b> : Physical SRAM address pins A10 and A18 were swapped to place FPGA configuration pin HSWAPEN on A18.  This restricts SRAM corruption to odd multiples of 256K between core boots.  Core sram initialization can safely be done in even multiples of 256K and the initialization program running in standard spectrum memory does not reside in the safe areas so that it does not reduce the amount of initialized sram available to cores.  Nextreg 0x04 ram bank has been expanded to seven bits from five so that the entire 2MB of memory is reachable for the sram initializer, making half the zx next's memory accessible to initialization for cores.<br/><b>MULTI-CORE</b> : Move CPU A0 to A19 so that the 16-bit physical sram interface can be used by the core.  Even addresses use D7:D0 of the physical sram data bus and odd addresses use D15:D8 of the physical sram data bus.  Initializing memory for other 16-bit cores should be made simpler.<br/><b>DISPLAY</b> : All palettes now have two layer priority bits for possible future developments.<br/><b>AUDIO</b> : HDMI audio returned to previous unsigned volume levels as some displays were incapable of rendering full signed 16-bit audio properly.  |
|3.01.07|Allen Albright  |<b>DIVMMMC / MULTIFACE</b> : The internal divmmc and multiface have been made compatible so that both can be enabled at the same time in esxdos.<br/><b>MULTIFACE</b> : All multiface versions are now supported -- mf 1, mf 128 v87.12, mf 128 v87.2 and mf 3.  The type is selected at config time from the menu line's mf rom name and is held in nextreg 0x0A.  (Until the firmware is updated the multiface type can be changed and must be written to nextreg 0x0A by the user before first use; NextZXOS is unaffected because the default type is mf 3).<br/><b>MOUSE</b> : The mouse button reversal bit in nextreg 0x0A was moved to bit 3.<br/><b>EXPANSION BUS</b> : Nextreg 0x81 bit 5 indicates that nmi debouncing should be disabled.  This is required by the Opus Discovery which uses the nmi interrupt to service the floppy controller.  This change is made an option as it conflicts with nmi button debouncing required by other peripherals.<br/><b>EXPANSION BUS</b> : Nextreg 0x81 bit 6 allows external peripherals to override the ula on even port address reads from 0x00 to 0x0E.  This is required by the Rotronics Wafadrive which overlaps its i/o on the ula's port 0xfe.<br/><b>EXPANSION BUS</b> : New function keys F5 (nmi+5) and F6 (nmi+6) enable and disable the expansion bus respectively by changing bit 7 of nextreg 0x80.  This makes it easy to quickly switch between esxdos (when the expansion bus is off) and other mass storage devices (when the expansion bus is on) for transferring files between sd card and microdrive or disk.  The switch can be done at any time including from within the multiface nmi menu.  |
|3.01.08|Allen Albright  |<b>CTC</b> : Eight Z80 Counter / Timers are accessible via i/o ports 0x183B through 0x1F3B. These are equivalent to a standard Zilog Z8430 CTC and can be programmed the same way. A pdf is available at http://www.zilog.com/docs/z80/ps0181.pdf . Currently the zc/to flag of CTC (n) is fed as trigger into CTC (n+1) so that counters can be cascaded. If a CTC channel is programmed to generate interrupts (see the pdf and nextreg 0xC6) it will generate an interrupt in the same way as the ULA's. Interrupt handling and the set of hardware signals appearing as triggers to the CTC channels will be addressed in the next core version. The CTC's inclusion is intended to supply timers and interrupt ability for hardware signals.<br/><b>DISPLAY</b> : The tilemap's base address (nextreg 0x6E) and tile definitions address (nextreg 0x6F) can now appear in the first 8K of 16K bank 7 and is indicated by a set bit 7 in the address. Because only 8K of bram is available in bank 7, addresses wrap across 8K boundaries.<br/><b>MULTIFACE</b> : Multiface type is now set at config time according to the filename of the loaded mf rom (requires fw 1.29d or later).<br/><b>EXPANSION BUS</b> : When nextreg 0x81 bit 5 is set (Opus Discovery) allow nmi pulses to be delivered while the multiface is active.<br/><b>Z80</b> : Correct opcode for undocumented instance of instruction "im 2" (ED 7E).  |
|3.01.09|Allen Albright  |<b>COMPATIBILITY</b> : Profi memory mapping mode has been removed from nextreg 0x8f in order to save some fpga space<br/><b>UART</b> : An Rx buffer half full signal has been added to the fifos and are readable through port 0x133b along with the other uart status bits<br/><b>NEXTREG</b> : Nextreg 0x7f (user storage) now resets in hard reset only<br/><b>Z80</b> : Correct timing in nmi acknowledge cycle<br/><b>AY</b> : The currently selected AY chip and its currently selected register is readable through port 0xbff5.  This port sits in the partial decoding of port 0xbffd and is also disabled if that port is disabled by the nextreg decode bits<br/><b>NMI</b> : An nmi stackless response where the return address is stored / retrieved from nextreg 0xc2 and 0xc3 instead of the stack during nmi acknowledge and a retn instruction (ED 45) has been added.  This should allow all original spectrum programs to be successfully snapshotted as no memory will be overwritten after an nmi button press<br/><b>MULTIFACE / DIVMMC</b> : Executing a retn instruction (ED 45) will now disable the multiface and the divmmc.  This is a new way to exit that doesn't rely on port writes or fetches from specific regions in memory<br/><b>NMI</b> : Bits in nextreg 0x02 can now be written to programmatically generate an nmi interrupt.  These bits are analagous to pressing the physical nmi / drive buttons on the left edge of the machine<br/><b>INTERRUPTS</b> : A complete im2 hardware mode has been implemented allowing the zx next to enter a mode where all 14 of its interrupting devices generate prioritized interrupts on unique vectors. Each interrupting device can also be optionally programmed to interrupt a dma operation when in the im2 mode. In pulse mode (ie the original spectrum's interrupting style) the new status registers act as a record of which devices generated an interrupt and can be polled to service interrupting devices.<br/><b>NOTICE</b> : The IM2 features are largely untested and this core is being released to source testing from the public.  |
|3.01.10|Allen Albright<br/>Gyorgy Szombathelyi |<b>CTC</b> : Temporarily reduce to four channels for space reasons, disambiguate reset behaviour<br/><b>UART</b> : Module rewrite features Rx buffer of 512 bytes, Tx buffer of 64 bytes, optional hardware flow control, programmable frames (8/7/6/5 bits, N/O/E parity, 1/2 stop bits), break detection, interrupts and baud rates ranging from 300 bps to 2 Mbps<br/><b>INTERRUPTS</b> : Hardware im 2 vectored interrupts debugged and interrupt behaviours finalized<br/><b>STICKS</b> : I/O mode allowing bitbanging, clocked mode and uart output through the joystick port finalized. Atari type sticks can continue to work through the other port as Kempston type<br/><b>RESET</b> : Fixed hardware / software reset indicator in nextreg 0x02<br/><b>MULTI-CORE</b> : It is now possible for individual programs for other cores to be launched from the nextzxos browser<br/><b>DIVMMC</b> : Enhanced to allow programmable breakpoints at all Z80 RST locations, standard breakpoints also made programmable, additional tape trap locations added for better tape loading compatibility<br/><b>EXPANSION BUS</b> : Updated for the new issue 2D boards which has additional buffers with new signals controlling signal direction, caught error in nmi delivery that might improve compatibility with devices like the Opus Discovery<br/><b>STICKS</b> : All eleven buttons of the md pad are now available for reading and a new user defined key joystick type has been added. Every direction and button can be individually assigned to keyboard keys. When a limited joystick type is selected that only supports directions and one or two fire buttons, excess md pad buttons can still operate keyboard keys<br/><b>MULTIFACE</b> : The MF3 can now read ports 0xfe (border colour), 0x1ffd, 0x7ffd, 0xdffd, 0xeff7<br/><b>PS/2 KEYBOARD</b> : The ps/2 keyboard can now generate the Next's composite keys. Function key assignment is now programmable and can also be generated using the same method as the membrane keyboard (nmi + number). The default function keys are reduced to F4 (soft reset), F8 (cpu speed), F9 (multiface nmi), F10 (divmmc nmi), F11 (expansion bus on), F12 (expansion bus off)<br/><b>Z80</b> : Fixed im2 vector response, fixed RLD / RRD cycles, corrected contents of the address bus when the cpu is idle.<br/><b>I/O TRAPS</b> : Introduce i/o traps that generate an nmi interrupt when i/o to specific ports occurs. The first application is trapping i/o to the +3's FDC on ports 0x2ffd and 0x3ffd. This may make it possible to emulate the FDC in software  |
|3.02.00|Allen Albright |<b>BUILD</b> :  Generate bitstreams for both the Spartan 6 on issue 2 PCBs and the Artix 7 on issue 4 PCBs from a common code base. Nextreg 0x0F identifies PCB and FPGA<br/><b>ARTIX 7</b> : Expose XDNA and XADC integrated peripherals to the hardware<br/><b>NMI</b> : Software generated NMI sped up so that the CPU sees it before the end of the current instruction. The copper is allowed to generate NMI via nextreg 0x02<br/><b>DIVMMC</b> : Divmmc bank 3 is always read-only when mapram is set. If mapram is set, the rom in bottom 8K is always filled by bank 3 even when conmem is set<br/><b>EXPANSION BUS</b> : /INT signal implementation differs on issue 4 with logic added to issue 2 to auto-detect potential fixes applied for this signal and /BUSREQ<br/><b>SERIAL</b> : CTS and RTR signals are available from the ESP WIFI on issue 4. Extra half cycle added to MISO line; this seems to solve problems with slow sd cards<br/><b>EAR</b> : Issue 4 improves tape input by using a schmitt trigger to detect edges. A circuit has been added to ensure the bit relaxes to 0 within a defined time</br><b>STICKS</b> : MODE button now read from Sega md pads. Port 0xDF added as an alias for Kempston 1 but only if the Kempston Mouse is disabled<br/><b>INTERRUPTS</b> : Fixed bug where RETI and RETN instructions weren't recognized if DMA cycles were inserted between opcode bytes. A subset of interrupts can be generated by nextreg 0x20 ignoring the enable bits. The ability to generate im 2 interrupts via the status bits has been removed; status bits are just status bits. NMI interrupts can optionally interrupt DMA transfers. In hardware im 2 mode, if the Z80 is not in im 2 mode interrupts move peripherals into a pending state but interrupts are frozen until the CPU returns to im 2 mode. The Z80 interrupt mode can be read on nextreg 0xC0<br/><b>PS/2 KEYBOARD</b> : F3 returns as 50 / 60 Hz toggle. The left and right windows keys have been added as multiface nmi and divmmc nmi respectively; this is in addition to the current F9 and F10. Corrected bug found in keyboard initialization<br/><b>ANTI-BRICK</b> : Now tracks the main core. Generates HDMI instead of VGA-0. ROM code updated  |


OLDER


|Release|Author          |Description                                       |  
|-------|----------------|--------------------------------------------------|  
|2.00.00|Victor Trucco<br/>Fabio Belavenuto |Spectrum Next Core Release  |
|2.00.01|Garry Lancaster |Peripherals: NextReg 9 bit 2 now completely disables DivMMC SPI ports ($EB and $E7) if set  |  
|2.00.02|Garry Lancaster |Peripherals: Drive button no longer causes a reset if DivMMC auto-paging is disabled  |  
|2.00.03|                |no valid change  |  
|2.00.04|Garry Lancaster |Fixed: Timex hi-res is now correctly aligned instead of offset 1 pixel to the left |  
|2.00.05|Allen Albright  |Fixed: Hang on reset caused by some ESP modules  |  
|2.00.06|Garry Lancaster |Peripherals: NextReg 9 bit 2 now also disables DivMMC paging port ($E3)<br/>Peripherals: NextReg 9 bit 3 disables Kempston mouse port ($DF)  |  
|2.00.07|Allen Albright  |Fixed: Read of nextreg 7 returns actual speed setting<br/>Fixed: DMA prescaler internally multiplied by four to reach lower sample rates<br/>Fixed: DMA sample rate constant for all CPU speeds  |  
|2.00.08|Allen Albright  |Fixed: DMA returns all idle cycles to CPU in burst mode<br/>Fixed: DMA implements daisy chain for multiple bus masters  |  
|2.00.09|Allen Albright  |Multiple Cores: Allow boot firmware to start a specific core identified by number 0-31  |  
|2.00.10|Jim Bagley      |Video: Layer2 palette bit 15 now acts as high priority bit, bringing Layer2 to the front if set, regardless of SLU setting<br/>Video: Added SLU 110: colour=(U+L)>>1<br/>Video: Added SLU 111: colour=(U+L) |  
|2.00.11|Allen Albright  |Fixed: AY zero volume means channel is silent  |  
|2.00.12|Allen Albright  |Fixed: Pentagon border timing  |  
|2.00.13|Garry Lancaster |Registers: NextReg 0x03 writes with bit 7 set now accepted in any mode to change timings (bits 6-4)<br/>Registers: Read of NextReg 0x3 bit 7 now returns next palette byte to be written (0=RRRGGGBB, 1=B-low)<br/>Fixed: NextReg 0x18, 0x19, 0x1A, 0x1C now readable |  
|2.00.14|Allen Albright  |Fixed: Pentagon port decoding on 0x7ffd for "Kpacku Deluxe"<br/>Fixed: DMA wait states stretch read/write cycles rather than insert delays between read/write cycles<br/>UART: Setting LSB of UART prescalar only affects LSB<br/>ExpBus: I/O port decoding raised to top level  |  
|2.00.15|                |intermediate  |
|2.00.16|                |intermediate  |
|2.00.17|Jim Bagley      |Video: Modified SLU 110 colour = (U+L) clamped<br/>Video: Modified SLU 111 colour = (U+L)-5<br/>Sprites: Fix left border bug<br/>Sprites: Raise limit per line to 16 (with caveats)  |
|2.00.18|Garry Lancaster|Z80N: Added 5 new barrel shift/rotate instructions:<br/>ED 28: BSLA DE,B (shift DE left by B places - uses bits 4..0 of B only)<br/>ED 29: BSRA DE,B (arithmetic shift right DE by B places - uses bits 4..0 of B only)<br/>ED 2A: BSRL DE,B (logical shift right DE by B places - uses bits 4..0 of B only)<br/>ED 2B: BSRF DE,B (shift right DE by B places, filling from left with 1s - uses bits 4..0 of B only)<br/>ED 2C: BRLC DE,B (rotate DE left by B places - uses bits 3..0 of B only)<br/>(to rotate right, use B=16-places)  |
|2.00.19|Allen Albright<br/>Garry Lancaster  |Z80N: ED 98 JP (C) -- PC[13:0] = IN (C) << 6<br/>Fixed: Sprites always appear above the ula border<br/>AY: Each AY can be made mono via NextReg 0x09 bits 7:5  |
|2.00.20|Allen Albright  |Sprites: New module allows all 64 sprites to display on a line  |
|2.00.21|Allen Albright  |Sprites: Fifth attribute byte is present if bit 6 of the fourth attribute byte is set<br/><br/>  H N6 0 X X Y Y Y8<br/><br/>  4-Bit Patterns<br/>   H = 1 means the sprite uses 4-bit patterns<br/>  N6 = 0 chooses the top 128 bytes of the 256-byte pattern otherwise the bottom 128 bytes<br/><br/>  Sprite Scaling<br/>  XX and YY affect scaling in the X and Y directions<br/>  00 = *1 16 pixels<br/>  01 = *2 32 pixels<br/>  10 = *4 64 pixels<br/>  11 = *8 128 pixels<br/><br/>  Y8 is the ninth bit of the Y coorindate to allow wrapping on the Y axis<br/><br/>Sprites: Nextreg 0x15 bit 6 = 1 changes sprite priority so that sprite 0 is on top<br/>Sprites: Nextreg 0x15 bit 5 = 1 enables clipping in over border mode<br/>Sprites: Writing to port 0x303B with bit 7 set adds an offset of 128 to the pattern index  |
|2.00.22|Allen Albright  |Z80N: Allow the cpu to run at 14MHz all the time if layer 2 is disabled<br/>Sprites: When not in over border mode, enforce clipping to display area at minimum<br/>Fixed: Sprites over-border clipping right edge adjusted one pixel left<br/>Fixed: Detection of too many sprites on a line was flawed<br/>Fixed: Sprites status port was always returning zero<br/>Fixed: Sprite module was writing vertical line at left edge on HDMI 60Hz  |
|2.00.23|Allen Albright  |Fixed: AY port decoding relaxed to work with sid-type music players<br/>Fixed: Clip window for sprites in over-border mode now extends to `X2*2+1` instead of `X2*2-1`<br/>Layer 2: Allow 14MHz when outside the layer 2 clip window vertically<br/>Sprites: Use coregen memories to reduce size<br/>Sprites: Implement relative sprite mode activated when H,N6=01.  In this mode an (x,y) coordinate, H bit and visibility bit are inherited from the last non-relative sprite.  The inherited (x,y) is added to the sprite's (x,y) to determine position, the inherited H bit together with normally reserved bit 5 determines 4-bit mode and the inherited visibility bit is ANDed with the sprite's visibility bit to determine if the sprite is drawn<br/>Sprites: A nexreg mirror is set up on register 0x34 (RW) to select sprite number and registers 0x35-0x39 (W) to directly access the corresponding sprite's attributes.  A second set of registers at 0x75-0x79 (W) are identical to 0x34-0x39 but a write to those will auto-increment the sprite number in register 0x34.<br/>Sprites: Setting bit 7 of the sprite number in nextreg 0x34 will tie the sprite number used by nextreg and io ports together.  |
|2.00.24|Allen Albright  |Sprites: Increase to 128 sprites from 64  |
|2.00.25|Allen Albright  |Fixed: CPU slowdown is applied in the active display area when the ULA shadow screen is active<br/>Fixed: ULA border colour in ULAnext mode is fetched from paper colours at palette offset 128<br/>ULA: Now scrolls using the LoRes scroll registers; scrolling in the x direction is currently limited to multiples of 8 pixels<br/>ULA: Nextreg 0x68 ULA Control added that disables ula output among other things<br/>Build: Registers inserted in video path to improve build reliability<br/>ExpBus: /RESET signal restored<br/>ExpBus: ULA /INT signal propagated to bus<br/><br/>Tilemap: A new display mode for tiles in either 40x32 (320x256) or 80x32 (640x256) resolution that occupies the same display area as sprites and shares 16k bank 5 with the ULA for its tilemap and tile definitions.<br/><br/>The tilemap consists of an array of 40x32 or 80x32 16-bit tiles with each tile described as follows:<br/><br/>bit 15-12 = palette offset<br/>bit    11 = X mirror<br/>bit    10 = Y mirror<br/>  bit     9 = rotate<br/>  bit     8 = ula over tilemap (tile id bit 8 if ula is disabled)<br/>  bit  7- 0 = tile id<br/><br/>Each tile glyph is 8x8 pixels and 32 bytes in size, defined in the same way as 4-bit sprites  |
|2.00.26|Allen Albright  |Tilemap: Obey SLU order in border area<br/>Sprites: Lock bit in nextreg 0x34 moved to bit 4 of nextreg 0x09 so that nextreg 0x34 can behave exactly like io port 0x303B when the two are tied  |
|2.00.27|Allen Albright  |ULANext: Paper and border colour for all ink mode now comes from the fallback colour in nextreg 0x4A<br/>DMA: Add Z80-DMA compatibility bit in nextreg 0x06.  When set, the transfer length is increased by one<br/>DMA: Implement the STATUS register returning 00E1101T where E=0 if the entire block has completed transfer at least once and T=1 if at least one byte has been transferred<br/>DMA: Implement new commands RESET 0xC3, RESET PORT A TIMING 0xC7, RESET PORT B TIMING 0xCB, READ STATUS BYTE 0xBF, REINITIALIZE STATUS BYTE 0x8B, INITIALIZE READ SEQUENCE 0xA7.  These are still being tested.<br/>Sprites: Implement a second relative sprite mode - the unified sprite.  Relative sprites are rotated and mirrored around the anchor.<br/>Tilemap: Make 512 tile mode a separately indicated mode in nextreg 0x6B instead of only being available when the ULA is disabled.<br/>Tilemap: Add bit to nextreg 0x6B to force the tilemap over the ULA.<br/>ZX48: Correct ram contention for 48k spectrum machine type.<br/>ULA: Fix Timex hi-res offset by one pixel bug.  |
|2.00.28|Allen Albright  | Numerous changes.  |
